﻿using DeviceScanner.ViewModels;
using DeviceScanner.ViewModels.Dialogs;
using DeviceScanner.Views;
using DeviceScanner.Views.Dialogs;
using UICommon.CommonContainer;

namespace DeviceScanner;

[Module(ModuleName = "Scanner", OnDemand = false)]
public class ScannerModule : IModule
{
    public ScannerModule(ICommonContainer commonContainer)
    {
        commonContainer.AddModule("Scanner");
        commonContainer.AddNavigation(new(3, "添加设备", "Scanner", true, null!));
    }

    void IModule.OnInitialized(IContainerProvider containerProvider)
    {
        IRegionManager regionManager = containerProvider.Resolve<IRegionManager>();

        ICommonContainer commonContainer = containerProvider.Resolve<ICommonContainer>();
        regionManager.RegisterViewWithRegion(commonContainer.MainReginName, typeof(Scanner));
    }

    void IModule.RegisterTypes(IContainerRegistry containerRegistry)
    {
        containerRegistry.RegisterForNavigation<Scanner, ScannerViewModel>("Scanner");
        containerRegistry.RegisterDialog<CreateDevice, CreateDeviceViewModel>("CreateDevice");

    }
}
